#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 1 Portal Animation
#
#		By Brozziest
#
#################################

#end animation
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=320..}] run return 1

#tp and invis player
effect give @a invisibility 1 1 true
effect give @a levitation 1 255 true
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=1}] as @a at @s run tp @s 68.5 34.5 -7.5 -180 0
execute as @a at @s run tp @s 68.5 34.5 -7.5
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=1}] as @e[tag=sr3_overlord] at @s run scoreboard players reset @s in_lvl
#move clickbox
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=1}] as @e[tag=lobby_lvl1_clickbox] at @s run tp @s ~ ~ ~-10

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_lvl1_portal_anim 1

#Part 1: Text Falls
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=1}] as @e[tag=lobby_lvl1_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.3f,0.0f,0.3f]}}
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=10..65}] run function secretrooms3:level_animation/lvl1_portal/lvl1_portal_text

execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=65}] as @a at @s run playsound minecraft:block.beacon.activate master @s ~ ~ ~ 1 .5
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=65}] run particle minecraft:sneeze 68 33.0 -18 .5 0 .5 .1 500
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=65}] run particle minecraft:flash 68 33.0 -18 0 0 0 .1 1
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=65}] run particle minecraft:smoke 68 33.0 -19 2 0 2 0 500
#Part 2: Block Formation 1
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=100..150}] run function secretrooms3:level_animation/lvl1_portal/lvl1_portal_block

#Part 3: Block Formation 2
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=170..210}] run function secretrooms3:level_animation/lvl1_portal/lvl1_portal_block2

#Part 4: Portal Falls
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=250..}] run function secretrooms3:level_animation/lvl1_portal/lvl1_portal_final
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=245}] as @e[tag=lobby_lvl1_lock_text1] at @s run playsound minecraft:entity.warden.emerge master @a ~ ~ ~ 1 .8
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl1_portal_anim=268}] as @e[tag=sr3_overlord] at @s run scoreboard players set @s in_lvl 0

#repeat function
schedule function secretrooms3:level_animation/lvl1_portal/lvl1_portal_main 1t

