#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 3 Portal Reset
#
#		By Brozziest
#
#################################

#end animation
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl3_portal_anim=320..}] run return 1

#tp and invis player
effect give @a invisibility 1 1 true
effect give @a levitation 1 255 true
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 1 run scoreboard objectives setdisplay sidebar
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl3_portal_anim=1}] as @a at @s run tp @s 71.5 28.0 19.5 0 0
execute as @a at @s run tp @s 71.5 28.0 19.5
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl3_portal_anim=1}] as @a at @s run scoreboard players reset @e[tag=sr3_overlord,limit=1] in_lvl

#move clickbox
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl3_portal_anim=1}] as @e[tag=lobby_lvl3_clickbox] at @s run tp @s ~ ~-10 ~
execute if entity @e[tag=sr3_overlord,scores={lobby_lvl3_portal_anim=1}] as @e[tag=lobby_lvl3_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.3f,0.0f,0.3f]}}

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_lvl3_portal_anim 1

#Part 0: Replace Trapdoors
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 1 run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_setup

#Part 1: Text Zoomps
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 1..60 run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_text

#Part 2: Open Portal Box
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 60..139 run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_material

#Part 3: Materialize Portal
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 139..239 run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_summon

#Part 4: Finalize
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 240.. run function secretrooms3:level_animation/lvl3_portal/lvl3_portal_final
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 320 run scoreboard objectives setdisplay sidebar
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl3_portal_anim matches 320 as @a at @s run scoreboard players set @e[tag=sr3_overlord,limit=1] in_lvl 0

#repeat function
schedule function secretrooms3:level_animation/lvl3_portal/lvl3_portal_main 1t