#################################
#	Secret Rooms 3
#	Level 4 Animated Decorations
#
#	By Brozziest
#
#################################

#particles for the bridge

execute as @a if entity @s[x=520,y=0,z=-433,dx=141,dy=20,dz=7] at @s run particle minecraft:glow ~3 ~ -430 1.2 0 1.2 0 2
execute as @a if entity @s[x=520,y=0,z=-433,dx=141,dy=20,dz=7] at @s run particle minecraft:dripping_obsidian_tear ~3 ~ -431.9 1.5 0 0 0 1 force
execute as @a if entity @s[x=520,y=0,z=-433,dx=141,dy=20,dz=7] at @s run particle minecraft:dripping_obsidian_tear ~3 ~ -427.1 1.5 0 0 0 1 force

#particles for the glass shards

execute unless entity @e[tag=lvl4_star_pane1] as @e[tag=lvl4_nether_star] at @s run summon item_display ~ ~.15 ~ {Rotation:[90.0f,0.0f],NoGravity:1b,brightness:{sky:15,block:15},item:{id:"minecraft:magenta_stained_glass_pane",Count:1b},transformation:{translation:[-0.3f,0.3f,-0.5f],left_rotation:[-0.053f,-0.016f,0.486f,0.872f],scale:[0.014f,0.138f,1.008f],right_rotation:[0.001f,-0.028f,0.059f,-0.998f]},Tags:["lvl4_star_pane","lvl4_star_pane1"]}
execute unless entity @e[tag=lvl4_star_pane2] as @e[tag=lvl4_nether_star] at @s run summon item_display ~ ~.15 ~ {Rotation:[90.0f,0.0f],NoGravity:1b,brightness:{sky:15,block:15},item:{id:"minecraft:light_blue_stained_glass_pane",Count:1b},transformation:{translation:[0f,0f,0f],left_rotation:[0.262f,-0.294f,-0.405f,0.825f],scale:[.13f,0.01f,0.04f],right_rotation:[-0.301f,-0.379f,-0.251f,-0.838f]},Tags:["lvl4_star_pane","lvl4_star_pane2"]}
execute unless entity @e[tag=lvl4_star_pane3] as @e[tag=lvl4_nether_star] at @s run summon item_display ~ ~.15 ~ {Rotation:[90.0f,0.0f],NoGravity:1b,brightness:{sky:15,block:15},item:{id:"minecraft:pink_stained_glass_pane",Count:1b},transformation:{translation:[-0.04f,0f,-0.13f],left_rotation:[-0.003f,0.003f,0.965f,-0.263f],scale:[0.11f,0.06f,0.2f],right_rotation:[-0.005f,-0.688f,-0.223f,0.691f]},Tags:["lvl4_star_pane","lvl4_star_pane3"]}
execute unless entity @e[tag=lvl4_star_pane4] as @e[tag=lvl4_nether_star] at @s run summon item_display ~ ~.15 ~ {Rotation:[90.0f,0.0f],NoGravity:1b,brightness:{sky:15,block:15},item:{id:"minecraft:pink_stained_glass_pane",Count:1b},transformation:{translation:[.1f,0f,0f],left_rotation:[-0.006f,-0.002f,-0.12f,0.993f],scale:[0.04f,0.03f,0.18f],right_rotation:[-0.09f,0.807f,-0.018f,0.584f]},Tags:["lvl4_star_pane","lvl4_star_pane4"]}
execute unless entity @e[tag=lvl4_star_pane5] as @e[tag=lvl4_nether_star] at @s run summon item_display ~ ~.15 ~ {Rotation:[90.0f,0.0f],NoGravity:1b,brightness:{sky:15,block:15},item:{id:"minecraft:light_blue_stained_glass_pane",Count:1b},transformation:{translation:[0f,0f,0f],left_rotation:[0.033f,-0.063f,-0.623f,0.779f],scale:[0.13f,0.03f,0.13f],right_rotation:[-0.036f,0.733f,-0.178f,0.655f]},Tags:["lvl4_star_pane","lvl4_star_pane5"]}

scoreboard players add @e[tag=lvl4_star_pane] shard_lifetime 1

execute as @e[tag=lvl4_star_pane1,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=3}] run data merge entity @s {transformation:{translation:[-0.65f,0.65f,-0.5f],left_rotation:[0f,0f,0.522f,0.853f],scale:[0.25f,0.609f,1f],right_rotation:[0f,0f,-0.234f,0.972f]},start_interpolation:-1,interpolation_duration:35}
execute as @e[tag=lvl4_star_pane1,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=38}] run data merge entity @s {transformation:{translation:[-1.0f,1.0f,-0.5f],left_rotation:[-0.053f,-0.016f,0.486f,0.872f],scale:[0.014f,0.138f,1.008f],right_rotation:[0.001f,-0.028f,0.059f,-0.998f]},start_interpolation:-1,interpolation_duration:30}
execute as @e[tag=lvl4_star_pane2,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=3}] run data merge entity @s {transformation:{translation:[0.6f,0.5f,0f],left_rotation:[0.005f,-0.005f,0.326f,0.945f],scale:[1.33f,0.594f,1f],right_rotation:[0.007f,-0.002f,0.382f,-0.924f]},start_interpolation:-1,interpolation_duration:20}
execute as @e[tag=lvl4_star_pane2,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=23}] run data merge entity @s {transformation:{translation:[1f,1f,0.00f],left_rotation:[0.262f,-0.294f,-0.405f,0.825f],scale:[.13f,0.01f,0.04f],right_rotation:[0.852f,-0.208f,-0.137f,-0.46f]},start_interpolation:-1,interpolation_duration:20}
execute as @e[tag=lvl4_star_pane3,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=3}] run data merge entity @s {transformation:{translation:[-0.5f,-0.2f,-0.46f],left_rotation:[-0.003f,0.003f,0.965f,-0.263f],scale:[1.725f,0.698f,1f],right_rotation:[-0.006f,-0.003f,-0.307f,0.952f]},start_interpolation:-1,interpolation_duration:40}
execute as @e[tag=lvl4_star_pane3,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=43}] run data merge entity @s {transformation:{translation:[-2f,-0.61f,0.25f],left_rotation:[-0.003f,0.003f,0.965f,-0.263f],scale:[0.11f,0.06f,0.2f],right_rotation:[-0.04f,0.668f,-0.313f,0.674f]},start_interpolation:-1,interpolation_duration:40}
execute as @e[tag=lvl4_star_pane4,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=3}] run data merge entity @s {transformation:{translation:[2f,0f,0f],left_rotation:[-0.006f,-0.002f,-0.12f,0.993f],scale:[1.626f,0.469f,1f],right_rotation:[0.007f,0.001f,-0.302f,0.953f]},start_interpolation:-1,interpolation_duration:25}
execute as @e[tag=lvl4_star_pane4,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=28}] run data merge entity @s {transformation:{translation:[4f,0f,0f],left_rotation:[-0.006f,-0.002f,-0.12f,0.993f],scale:[0.04f,0.03f,0.18f],right_rotation:[0.11f,-0.757f,-0.155f,0.625f]},start_interpolation:-1,interpolation_duration:25}
execute as @e[tag=lvl4_star_pane5,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=3}] run data merge entity @s {transformation:{translation:[.3f,-1.5f,0f],left_rotation:[0.033f,-0.063f,-0.623f,0.779f],scale:[0.86f,0.26f,1f],right_rotation:[-0.05f,0.025f,-0.409f,0.911f]},start_interpolation:-1,interpolation_duration:30}
execute as @e[tag=lvl4_star_pane5,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=33}] run data merge entity @s {transformation:{translation:[0.8f,-2.5f,0f],left_rotation:[0.033f,-0.063f,-0.623f,0.779f],scale:[0.13f,0.03f,0.13f],right_rotation:[-0.098f,-0.67f,-0.193f,0.71f]},start_interpolation:-1,interpolation_duration:30}


execute as @e[tag=lvl4_star_pane1,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=69..}] run particle end_rod ~ ~1 ~-1 .1 .1 .1 0 1
execute as @e[tag=lvl4_star_pane2,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=44..}] run particle end_rod ~ ~1 ~1 .1 .1 .1 0 1
execute as @e[tag=lvl4_star_pane3,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=85..}] run particle end_rod ~ ~-.61 ~-2 .1 .1 .1 0 1
execute as @e[tag=lvl4_star_pane4,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=54..}] run particle end_rod ~ ~ ~4 .1 .1 .1 0 1
execute as @e[tag=lvl4_star_pane5,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=64..}] run particle end_rod ~ ~-2.5 ~0.8 .1 .1 .1 0 1
execute as @e[tag=lvl4_star_pane1,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=69..}] run kill @s
execute as @e[tag=lvl4_star_pane2,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=44..}] run kill @s
execute as @e[tag=lvl4_star_pane3,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=85..}] run kill @s
execute as @e[tag=lvl4_star_pane4,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=54..}] run kill @s
execute as @e[tag=lvl4_star_pane5,limit=1,sort=nearest] at @s if entity @s[scores={shard_lifetime=64..}] run kill @s

execute as @e[tag=lvl4_nether_star] at @s run particle minecraft:electric_spark ~ ~.15 ~ .3 .3 .3 0 1

#particles for the "flowing water of souls"

execute as @e[tag=lvl4_ns_wave] store result score @s lvl4_ns_anim run data get entity @s Rotation[1]
execute as @e[tag=lvl4_ns_wave] run scoreboard players add @s lvl4_ns_anim 2
execute as @e[tag=lvl4_ns_wave] store result entity @s Rotation[1] float 1 run scoreboard players get @s lvl4_ns_anim


execute as @e[tag=lvl4_ns_wave_particle] at @s if entity @s[x=460,y=-30,z=-460,dx=5,dy=60,dz=60] run tp @s ~80 ~ ~

execute as @e[tag=lvl4_ns_wave1] at @s positioned ^ ^ ^3 run tp @e[tag=lvl4_ns_wave_medium_1] ~ ~ ~
execute as @e[tag=lvl4_ns_wave_medium_1] at @s run data modify entity @s Pos[2] set from entity @e[tag=lvl4_ns_wave1,limit=1,sort=nearest] Pos[2]
execute as @e[tag=lvl4_ns_wave_medium_1] at @s run data modify entity @s Pos[0] set from entity @e[tag=lvl4_ns_wave1,limit=1,sort=nearest] Pos[0]
execute as @e[tag=lvl4_ns_wave_particle1] at @s run data modify entity @s Pos[1] set from entity @e[tag=lvl4_ns_wave_medium_1,limit=1,sort=nearest] Pos[1]
execute as @e[tag=lvl4_ns_wave_particle1] at @s run tp @s ~-.4 ~ ~
execute as @e[tag=lvl4_ns_wave_particle1] at @s run particle minecraft:nautilus ~ ~ ~ .5 0 10 0 100
execute as @e[tag=lvl4_ns_wave_particle1] at @s run particle minecraft:sculk_soul ~ ~ ~ .5 0 10 0 2
execute as @e[tag=lvl4_ns_wave_particle1] at @s run particle minecraft:soul ~ ~ ~ .5 0 10 0 2

execute as @e[tag=lvl4_ns_wave2] at @s positioned ^ ^ ^5 run tp @e[tag=lvl4_ns_wave_medium_2] ~ ~ ~
execute as @e[tag=lvl4_ns_wave_medium_2] at @s run data modify entity @s Pos[2] set from entity @e[tag=lvl4_ns_wave2,limit=1,sort=nearest] Pos[2]
execute as @e[tag=lvl4_ns_wave_medium_2] at @s run data modify entity @s Pos[0] set from entity @e[tag=lvl4_ns_wave2,limit=1,sort=nearest] Pos[0]
execute as @e[tag=lvl4_ns_wave_particle2] at @s run data modify entity @s Pos[1] set from entity @e[tag=lvl4_ns_wave_medium_2,limit=1,sort=nearest] Pos[1]
execute as @e[tag=lvl4_ns_wave_particle2] at @s run tp @s ~-.4 ~ ~
execute as @e[tag=lvl4_ns_wave_particle2] at @s run particle minecraft:nautilus ~ ~ ~ .5 0 10 0 100
execute as @e[tag=lvl4_ns_wave_particle2] at @s run particle minecraft:sculk_soul ~ ~ ~ .5 0 10 0 2
execute as @e[tag=lvl4_ns_wave_particle2] at @s run particle minecraft:soul ~ ~ ~ .5 0 10 0 2

execute as @e[tag=lvl4_ns_wave3] at @s positioned ^ ^ ^5 run tp @e[tag=lvl4_ns_wave_medium_3] ~ ~ ~
execute as @e[tag=lvl4_ns_wave_medium_3] at @s run data modify entity @s Pos[2] set from entity @e[tag=lvl4_ns_wave3,limit=1,sort=nearest] Pos[2]
execute as @e[tag=lvl4_ns_wave_medium_3] at @s run data modify entity @s Pos[0] set from entity @e[tag=lvl4_ns_wave3,limit=1,sort=nearest] Pos[0]
execute as @e[tag=lvl4_ns_wave_particle3] at @s run data modify entity @s Pos[1] set from entity @e[tag=lvl4_ns_wave_medium_3,limit=1,sort=nearest] Pos[1]
execute as @e[tag=lvl4_ns_wave_particle3] at @s run tp @s ~-.4 ~ ~
execute as @e[tag=lvl4_ns_wave_particle3] at @s run particle minecraft:nautilus ~ ~ ~ .5 0 10 0 100
execute as @e[tag=lvl4_ns_wave_particle3] at @s run particle minecraft:sculk_soul ~ ~ ~ .5 0 10 0 2
execute as @e[tag=lvl4_ns_wave_particle3] at @s run particle minecraft:soul ~ ~ ~ .5 0 10 0 2

execute as @e[tag=lvl4_ns_wave4] at @s positioned ^ ^ ^5 run tp @e[tag=lvl4_ns_wave_medium_4] ~ ~ ~
execute as @e[tag=lvl4_ns_wave_medium_4] at @s run data modify entity @s Pos[2] set from entity @e[tag=lvl4_ns_wave4,limit=1,sort=nearest] Pos[2]
execute as @e[tag=lvl4_ns_wave_medium_4] at @s run data modify entity @s Pos[0] set from entity @e[tag=lvl4_ns_wave4,limit=1,sort=nearest] Pos[0]
execute as @e[tag=lvl4_ns_wave_particle4] at @s run data modify entity @s Pos[1] set from entity @e[tag=lvl4_ns_wave_medium_4,limit=1,sort=nearest] Pos[1]
execute as @e[tag=lvl4_ns_wave_particle4] at @s run tp @s ~-.4 ~ ~
execute as @e[tag=lvl4_ns_wave_particle4] at @s run particle minecraft:nautilus ~ ~ ~ .5 0 10 0 100
execute as @e[tag=lvl4_ns_wave_particle4] at @s run particle minecraft:sculk_soul ~ ~ ~ .5 0 10 0 2
execute as @e[tag=lvl4_ns_wave_particle4] at @s run particle minecraft:soul ~ ~ ~ .5 0 10 0 2
