#################################
#		Secret Rooms 3
#		Level 5 commands
#
#		Commands for Level 5
#
#		By Brozziest
#
#################################

################### Decorations ##############
function secretrooms3:levels/level_deco_animations/lvl5/lvl5_deco

################### Actives ##################
execute unless data block -1 94 -645 {Items:[{id:"minecraft:snowball"}]} unless data block -1 94 -645 {Items:[{Slot:13b}]} run data modify block -1 94 -645 Items append value {Count:4b,Slot:13b,id:"minecraft:snowball",tag:{display:{Name:'[{"text":"Cue Ball","italic":false}]',Lore:['[{"text":"A cue ball for billiard","italic":false,"color":"gray"}]']}}}

execute unless data block 43 94 -654 {Items:[{id:"minecraft:egg"}]} unless data block 43 94 -654 {Items:[{Slot:4b}]} run data modify block 43 94 -654 Items append value {Count:1b,Slot:4b,id:"minecraft:egg"}

execute as @a if entity @s[nbt={SelectedItem:{id:"minecraft:mushroom_stew",Count:1b}}] run item replace entity @s weapon.mainhand with bowl

execute as @e[type=egg,x=46,y=91,z=-615,dx=10,dy=8,dz=17] at @s unless predicate secretrooms3:egg_passenger run function secretrooms3:levels/lvl5/lvl5_egg_passenger

execute as @e[type=marker,tag=lvl5_egg_rider] at @s unless predicate secretrooms3:marker_no_ride if block ~ 91 ~ green_terracotta run summon chicken 53.5 92.0 -603.5 {NoAI:1b,Health:1f,Age:-1200,Tags:["lvl5_chick"]}
execute as @e[type=marker,tag=lvl5_egg_rider] at @s unless predicate secretrooms3:marker_no_ride run kill @s

execute as @e[type=fox,tag=lvl5_floofox] at @s unless entity @e[type=chicken,tag=lvl5_chick] run data merge entity @s {Sleeping:1b}
execute as @e[type=fox,tag=lvl5_floofox] at @s unless entity @e[type=chicken,tag=lvl5_chick] run effect give @e[type=fox,limit=1,sort=nearest,tag=lvl5_floofox] minecraft:slowness 1 7 true

execute as @e[tag=lvl5_cat] at @s unless data entity @s Owner as @e[tag=lvl5_cat_marker] if predicate secretrooms3:cat_distance at @s run tp @e[tag=lvl5_cat] ^ ^ ^1.2

execute as @e[type=chicken,tag=!lvl5_chick] at @s run tp @s ~ ~-100 ~

execute as @a if score @s unstick matches 1 at @s run function secretrooms3:levels/unstick

#################### Tips ####################
scoreboard players enable @a tip_trigger
execute as @a[scores={tip_trigger=1..}] at @s run function secretrooms3:levels/lvl5/lvl5_tips


##################### Item Collection ####################

scoreboard players set @e[tag=sr3_overlord] items_collected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"gray"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#adebff"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#33ff99"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffffcc"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying",tag:{display:{Lore:['[{"text":"1 of the 5 Treasures","italic":false,"color":"#ffcc00"}]']}}}]}] run scoreboard players add @e[tag=sr3_overlord] items_collected 1

execute as @e[tag=sr3_overlord,limit=1] at @s if entity @e[tag=sr3_overlord,scores={items_collected=5}] unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:levels/level_finish
scoreboard players set @e[tag=sr3_overlord] items_collected 0


##################### Room Found Announcement ####################

execute if entity @a[x=1,y=71,z=-656,dx=7,dy=9,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n The Emerald Room:","color":"green","bold":true},{"text":" Experiments Under the Radar","color":"#33ff99"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_green"}]
execute if entity @a[x=1,y=71,z=-656,dx=7,dy=9,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=1,y=71,z=-656,dx=7,dy=9,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=1,y=71,z=-656,dx=7,dy=9,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_room] run tag @e[tag=sr3_overlord] add e_room
execute if entity @a[x=1,y=71,z=-656,dx=7,dy=9,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!e_tip] run tag @e[tag=sr3_overlord] add e_tip

execute if entity @a[x=37,y=83,z=-635,dx=2,dy=8,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n The Diamond Room:","color":"aqua","bold":true},{"text":" Lost in Loss","color":"#adebff"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"dark_blue"}]
execute if entity @a[x=37,y=83,z=-635,dx=2,dy=8,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute if entity @a[x=37,y=83,z=-635,dx=2,dy=8,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] at @a run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=37,y=83,z=-635,dx=2,dy=8,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_room] run tag @e[tag=sr3_overlord] add d_room
execute if entity @a[x=37,y=83,z=-635,dx=2,dy=8,dz=2,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!d_tip] run tag @e[tag=sr3_overlord] add d_tip

execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n The Nether Star Room:","color":"white","bold":true},{"text":" Even if the World Ends Tomorrow","color":"gray"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"white"}]
execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] at @a run particle minecraft:end_rod ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_room] run tag @e[tag=sr3_overlord] add n_room
execute if entity @a[x=22,y=78,z=-596,dx=2,dy=6,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!n_tip] run tag @e[tag=sr3_overlord] add n_tip

execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n The Golden Apple Room:","color":"yellow","bold":true},{"text":" To see the world with you","color":"#FFFFCC"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"gold"}]
execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run playsound minecraft:block.note_block.chime master @a ~ ~ ~ 1 0
execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] at @a run particle minecraft:end_rod ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_room] run tag @e[tag=sr3_overlord] add a_room
execute if entity @a[x=2,y=-24,z=-716,dx=10,dy=9,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!a_tip] run tag @e[tag=sr3_overlord] add a_tip

execute if entity @a[x=34,y=103,z=-644,dx=2,dy=5,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tellraw @a ["",{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n The Totem Room:","color":"#990000","bold":true},{"text":" Silence from the Basement","color":"#FFCC00"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n","color":"red"}]
execute if entity @a[x=34,y=103,z=-644,dx=2,dy=5,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run playsound minecraft:ambient.soul_sand_valley.mood master @a ~ ~ ~ 1 1
execute if entity @a[x=34,y=103,z=-644,dx=2,dy=5,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] at @a run particle minecraft:soul ^ ^1 ^.5 .3 1 .3 1 50 force
execute if entity @a[x=34,y=103,z=-644,dx=2,dy=5,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_room] run tag @e[tag=sr3_overlord] add t_room
execute if entity @a[x=34,y=103,z=-644,dx=2,dy=5,dz=3,gamemode=adventure] if entity @e[tag=sr3_overlord,tag=!t_tip] run tag @e[tag=sr3_overlord] add t_tip

#Leave Announcement
execute if entity @e[tag=sr3_overlord,tag=return_prompt] run title @a actionbar [{"text":"Level Complete! Use Your Tip Book Pg.3 to Return to the Lobby, When Ready!","color":"#FF7373"}]
scoreboard players enable @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run tellraw @s {"text":"You have not yet completed the level!","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run tellraw @s {"text":"Logging completion, try again in a moment...","color":"#C90000","bold":true}
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 if score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run scoreboard players reset @a complete_lvl
execute if entity @e[tag=sr3_overlord,tag=return_prompt] as @a if score @s complete_lvl matches 1 unless score @e[tag=sr3_overlord,limit=1] finish_level matches ..79 run function secretrooms3:levels/map_finish
execute if entity @e[tag=sr3_overlord,tag=!return_prompt] as @a if score @s complete_lvl matches 1 run scoreboard players reset @a complete_lvl