#################################
#		Secret Rooms 3
#		Gameloop Function
#		
#		-Hub for all constantly
#		running commands
#
#		By Brozziest
#
#################################

#execute as @e[tag=levelVillager] at @s run data merge entity @s {Offers:{Recipes:[]}}

team join players @a[team=!players]
effect give @a regeneration 2 1 true
effect give @a saturation 2 1 true

#################################   Apple/Totem Eaten?  ###############################

execute as @a if score @s apple_used matches 1 run scoreboard players reset #apple_used gen_raycast
execute as @a if score @s apple_used matches 1 unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:apple_use

execute as @a if score @s totem_used matches 1 run scoreboard players reset #totem_used gen_raycast
execute as @a if score @s totem_used matches 1 unless entity @e[tag=sr3_overlord,tag=return_prompt] run function secretrooms3:totem_use



#################################   Level Teleports  (located in Lobby.mcfunction) #################################


################################   Level Functions ################################

execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 0 run function secretrooms3:lobby
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 1 run function secretrooms3:levels/lvl1/lvl_1
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 2 run function secretrooms3:levels/lvl2/lvl_2
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 3 run function secretrooms3:levels/lvl3/lvl_3
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 4 run function secretrooms3:levels/lvl4/lvl_4
execute if score @e[tag=sr3_overlord,limit=1] in_lvl matches 5 run function secretrooms3:levels/lvl5/lvl_5

################################   Tip Animation   ################################

scoreboard players add #tip_anim gen_raycast 1

execute if score #tip_anim gen_raycast matches 2 run scoreboard objectives modify tip displayname [{"text":"T","color":"#FFDD00","bold":true},{"text":"ips Consulte","color":"#05DEFF","bold":true},{"text":"d","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 3 run scoreboard objectives modify tip displayname [{"text":"Ti","color":"#FFDD00","bold":true},{"text":"ps Consult","color":"#05DEFF","bold":true},{"text":"ed","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 4 run scoreboard objectives modify tip displayname [{"text":"Tip","color":"#FFDD00","bold":true},{"text":"s Consul","color":"#05DEFF","bold":true},{"text":"ted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 5 run scoreboard objectives modify tip displayname [{"text":"Tips","color":"#FFDD00","bold":true},{"text":" Consu","color":"#05DEFF","bold":true},{"text":"lted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 6 run scoreboard objectives modify tip displayname [{"text":"Tips ","color":"#FFDD00","bold":true},{"text":"Cons","color":"#05DEFF","bold":true},{"text":"ulted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 7 run scoreboard objectives modify tip displayname [{"text":"Tips C","color":"#FFDD00","bold":true},{"text":"on","color":"#05DEFF","bold":true},{"text":"sulted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 8 run scoreboard objectives modify tip displayname [{"text":"Tips Co","color":"#FFDD00","bold":true},{"text":"","color":"#05DEFF","bold":true},{"text":"nsulted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 9 run scoreboard objectives modify tip displayname [{"text":"Tips C","color":"#FFDD00","bold":true},{"text":"on","color":"#FF6600","bold":true},{"text":"sulted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 10 run scoreboard objectives modify tip displayname [{"text":"Tips ","color":"#FFDD00","bold":true},{"text":"Cons","color":"#FF6600","bold":true},{"text":"ulted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 11 run scoreboard objectives modify tip displayname [{"text":"Tips","color":"#FFDD00","bold":true},{"text":" Consu","color":"#FF6600","bold":true},{"text":"lted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 12 run scoreboard objectives modify tip displayname [{"text":"Tip","color":"#FFDD00","bold":true},{"text":"s Consul","color":"#FF6600","bold":true},{"text":"ted","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 13 run scoreboard objectives modify tip displayname [{"text":"Ti","color":"#FFDD00","bold":true},{"text":"ps Consult","color":"#FF6600","bold":true},{"text":"ed","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 14 run scoreboard objectives modify tip displayname [{"text":"T","color":"#FFDD00","bold":true},{"text":"ips Consulte","color":"#FF6600","bold":true},{"text":"d","color":"#FFDD00","bold":true}]
execute if score #tip_anim gen_raycast matches 15 run scoreboard objectives modify tip displayname [{"text":"Tips Consulted","color":"#FF6600","bold":true}]

execute if score #tip_anim gen_raycast matches 51 run scoreboard objectives modify tip displayname [{"text":"T","color":"#9E9E9E","bold":true},{"text":"ips Consulte","color":"#FF6600","bold":true},{"text":"d","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 52 run scoreboard objectives modify tip displayname [{"text":"Ti","color":"#9E9E9E","bold":true},{"text":"ps Consult","color":"#FF6600","bold":true},{"text":"ed","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 53 run scoreboard objectives modify tip displayname [{"text":"Tip","color":"#9E9E9E","bold":true},{"text":"s Consul","color":"#FF6600","bold":true},{"text":"ted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 54 run scoreboard objectives modify tip displayname [{"text":"Tips","color":"#9E9E9E","bold":true},{"text":" Consu","color":"#FF6600","bold":true},{"text":"lted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 55 run scoreboard objectives modify tip displayname [{"text":"Tips ","color":"#9E9E9E","bold":true},{"text":"Cons","color":"#FF6600","bold":true},{"text":"ulted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 56 run scoreboard objectives modify tip displayname [{"text":"Tips C","color":"#9E9E9E","bold":true},{"text":"on","color":"#FF6600","bold":true},{"text":"sulted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 57 run scoreboard objectives modify tip displayname [{"text":"Tips Co","color":"#9E9E9E","bold":true},{"text":"","color":"#FF6600","bold":true},{"text":"nsulted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 58 run scoreboard objectives modify tip displayname [{"text":"Tips C","color":"#9E9E9E","bold":true},{"text":"on","color":"#05DEFF","bold":true},{"text":"sulted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 59 run scoreboard objectives modify tip displayname [{"text":"Tips ","color":"#9E9E9E","bold":true},{"text":"Cons","color":"#05DEFF","bold":true},{"text":"ulted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 60 run scoreboard objectives modify tip displayname [{"text":"Tips","color":"#9E9E9E","bold":true},{"text":" Consu","color":"#05DEFF","bold":true},{"text":"lted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 61 run scoreboard objectives modify tip displayname [{"text":"Tip","color":"#9E9E9E","bold":true},{"text":"s Consul","color":"#05DEFF","bold":true},{"text":"ted","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 62 run scoreboard objectives modify tip displayname [{"text":"Ti","color":"#9E9E9E","bold":true},{"text":"ps Consult","color":"#05DEFF","bold":true},{"text":"ed","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 63 run scoreboard objectives modify tip displayname [{"text":"T","color":"#9E9E9E","bold":true},{"text":"ips Consulte","color":"#05DEFF","bold":true},{"text":"d","color":"#9E9E9E","bold":true}]
execute if score #tip_anim gen_raycast matches 65 run scoreboard objectives modify tip displayname [{"text":"Tips Consulted","color":"#05DEFF","bold":true}]


execute if score #tip_anim gen_raycast matches 100 run scoreboard players set #tip_anim gen_raycast 0

#execute as @e[type=item,tag=!no_despawn] at @s run tag @s add no_despawn
#execute as @e[type=item,tag=no_despawn] at @s run data merge entity @s {Age:-32768}



