#################################
#		Secret Rooms 3
#		Portal Animation Function
#		
#		Lvl 5 Portal Animation
#
#		By Brozziest
#
#################################

#end animation
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 380 run return 1

#tp and invis player
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 run scoreboard objectives setdisplay sidebar
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1..320 run effect give @a invisibility 1 1 true
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1..320 run effect give @a levitation 1 255 true
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 run tag @e[tag=sr3_overlord,limit=1] add lvl5_anim_playing
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 379 run tag @e[tag=sr3_overlord,limit=1] remove lvl5_anim_playing
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 run function secretrooms3:level_animation/lobby_3_reset
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 as @a at @s run tp @s 58.5 24.5 8.5 -90 21
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1..98 as @a at @s run tp @s 58.5 24.5 8.5

execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 119..319 as @a at @s run tp @s 48.5 40.5 8.5

execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 run summon marker 58.5 24.5 8.5 {Rotation:[-90f,0f],Tags:["lobby_lvl5_anim_marker"]}
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 99..118 as @e[type=marker,tag=lobby_lvl5_anim_marker] at @s run tp @s ~-.5 ~.75 ~ ~ ~-.2
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 99..118 as @e[type=marker,tag=lobby_lvl5_anim_marker] at @s run tp @a ~ ~ ~ ~ ~
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 119 as @e[type=marker,tag=lobby_lvl5_anim_marker,limit=1] at @s run kill @s

#move clickbox
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 as @e[tag=lobby_lvl5_clickbox] at @s run tp @s ~ ~-20 ~
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1 as @e[tag=lobby_lvl5_unlock_text1] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:2,transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[0.3f,0.0f,0.3f]}}

#update Overlord score
execute as @e[tag=sr3_overlord] at @s run scoreboard players add @s lobby_lvl5_portal_anim 1



#Part 1: Text Flickers
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 1..100 run function secretrooms3:level_animation/lvl5_portal/lvl5_portal_text
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 21 as @a[limit=1] at @s run playsound minecraft:music_disc.5 master @a ~ ~ ~ 5 1

#Part 2: Nail Forms
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 120..210 run function secretrooms3:level_animation/lvl5_portal/lvl5_portal_nail_form
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 195 run stopsound @a master minecraft:music_disc.5

#Part 3: Nail Falls
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 210..380 run function secretrooms3:level_animation/lvl5_portal/lvl5_portal_nail_falls


#Part 4: Finalize
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 320 run function secretrooms3:level_animation/lvl5_portal/lvl5_portal_final
execute if score @e[tag=sr3_overlord,limit=1] lobby_lvl5_portal_anim matches 380 run scoreboard objectives setdisplay sidebar tip

#repeat function
schedule function secretrooms3:level_animation/lvl5_portal/lvl5_portal_main 1t

