#################################
#		Secret Rooms 3
#		Level 3 Tips
#
#		Commands for Level 3 Tips
#
#		By Brozziest
#
#################################


#################### Tips ####################
playsound minecraft:entity.item.pickup master @a ~ ~ ~ 1 .5

#Nether Star Tip
execute if score @s tip_trigger matches 1 if entity @e[tag=sr3_overlord,tag=!n_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 1 if entity @e[tag=sr3_overlord,tag=!n_tip] as @e[tag=sr3_overlord] run tag @s add n_tip

execute if score @s tip_trigger matches 1 run tellraw @a ["",{"text":"\nNether Star Tip:","color":"white","bold":true},{"text":"\nSweeping Edge knocks back entities in an AOE around the target. At close range, Armor Stands are quite versatile in this regard.","color":"gray"}]

#Emerald Tip
execute if score @s tip_trigger matches 2 if entity @e[tag=sr3_overlord,tag=!e_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 2 if entity @e[tag=sr3_overlord,tag=!e_tip] as @e[tag=sr3_overlord] run tag @s add e_tip

execute if score @s tip_trigger matches 2 run tellraw @a ["",{"text":"\nEmerald Tip:","color":"green","bold":true},{"text":"\nDismounting entities can place you on higher ground neither of you can reach.","color":"#33ff99"}]

#Diamond Tip
execute if score @s tip_trigger matches 3 if entity @e[tag=sr3_overlord,tag=!d_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 3 if entity @e[tag=sr3_overlord,tag=!d_tip] as @e[tag=sr3_overlord] run tag @s add d_tip

execute if score @s tip_trigger matches 3 run tellraw @a ["",{"text":"\nDiamond Tip:","color":"aqua","bold":true},{"text":"\nProjectiles can be thrown further when released during the upward velocity of a jump.","color":"#adebff"}]


#Totem Tip
execute if score @s tip_trigger matches 4 if entity @e[tag=sr3_overlord,tag=!t_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 4 if entity @e[tag=sr3_overlord,tag=!t_tip] as @e[tag=sr3_overlord] run tag @s add t_tip

execute if score @s tip_trigger matches 4 run tellraw @a ["",{"text":"\nTotem Tip:","color":"#990000","bold":true},{"text":"\nExperience Orbs path toward players, even through blocks.","color":"#ffcc00"}]

#Golden Apple Tip
execute if score @s tip_trigger matches 5 if entity @e[tag=sr3_overlord,tag=!a_tip] run scoreboard players add @s tip 1
execute if score @s tip_trigger matches 5 if entity @e[tag=sr3_overlord,tag=!a_tip] as @e[tag=sr3_overlord] run tag @s add a_tip

execute if score @s tip_trigger matches 5 run tellraw @a ["",{"text":"\nGolden Apple Tip:","color":"yellow","bold":true},{"text":"\nBrushing a suspicious block, just slightly, can be detected without destroying it, while being hidden quite well. You may find pottery sherds alluding to this spot.","color":"#ffffcc"}]

scoreboard players enable @s tip_trigger
scoreboard players set @a tip_trigger 0