#################################
#		Secret Rooms 3
#		Level 5 Intro
#
#		Intro into Lvl 5
#
#		By Brozziest
#
#################################


execute if score #lvl5_intro gen_raycast matches 611 run return 1
scoreboard players add #lvl5_intro gen_raycast 1




execute if score #lvl5_intro gen_raycast matches 1..531 as @a at @s run tp @s 24.5 ~ ~-.1 180 90
execute if score #lvl5_intro gen_raycast matches 532..611 as @a at @s run tp @s 24.5 ~-0.0875 ~-.1 180 ~-1.25

#execute if score #lvl5_intro gen_raycast matches 1..500 as @a at @s run effect give @s darkness 1 1 true
execute if score #lvl5_intro gen_raycast matches 600 run setblock 23 89 -530 redstone_block

execute if score #lvl5_intro gen_raycast matches 611 run scoreboard objectives setdisplay sidebar tip
execute if score #lvl5_intro gen_raycast matches 611 run give @a written_book{pages:['["",{"text":" Level 5 Tip Book","bold":true,"color":"#692387"},{"text":"\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Clicking a Tip will increase your tip score once per treasure.","color":"#CDA1FF"},{"text":"\\n\\n","color":"#000000"},{"text":"If you find yourself trapped, this book contains an","color":"#0FB2FF"},{"text":" \\"[Unstick Me]\\"","color":"#C72929"},{"text":" Button.","color":"#0FB2FF"},{"text":"\\n\\n","color":"#000000"},{"text":"-+-+-+-+-+-+-+-+-+","color":"gold"}]','["",{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"},{"text":"\\n","color":"#000000"},{"text":"[Diamond Tip]","bold":true,"color":"aqua","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 3"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Diamond Tip!","color":"#adebff"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Emerald Tip]","bold":true,"color":"green","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 2"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Emerald Tip!","color":"#33ff99"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Nether Star Tip]","bold":true,"color":"gray","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Nether Star Tip!","color":"white"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Totem Tip]","bold":true,"color":"#CC3909","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 4"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Totem Tip!","color":"#FFCC00"}}},{"text":"\\n\\n","color":"#000000","bold":true},{"text":"[Golden Apple Tip]","bold":true,"color":"#F8DB00","clickEvent":{"action":"run_command","value":"/trigger tip_trigger set 5"},"hoverEvent":{"action":"show_text","contents":{"text":"Click for Apple Tip!","color":"#FFFFCC"}}},{"text":"\\n\\n\\n","color":"#000000"},{"text":"[Unstick Me!]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger unstick set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to get unstuck","color":"dark_red"}}},{"text":"\\n","color":"#000000"},{"text":"=+=+=+=+=+=+=+=+=+","color":"gold"}]','["",{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"},{"text":"\\n\\n","color":"#000000"},{"text":"Once the level is complete, you may continue to roam the level. To return back to the lobby, click below:","color":"#A72D2B"},{"text":"\\n\\n","color":"#000000"},{"text":"[Return To Lobby]","bold":true,"color":"red","clickEvent":{"action":"run_command","value":"/trigger complete_lvl set 1"},"hoverEvent":{"action":"show_text","contents":{"text":"Click to return to lobby!","color":"dark_purple"}}},{"text":"\\n\\n\\n\\n","color":"#000000"},{"text":"-=-=-=-=-=-=-=-=-=","color":"gold"}]'],title:"Level 5 Tip Book",author:Brozziest,display:{Name:'["",{"text":"Level 5 Tip Book","italic":false,"color":"#692387"}]',Lore:['["",{"text":"An elaborate text","italic":false,"color":"#CDA1FF"}]','["",{"text":"that plays god.","italic":false,"color":"#CDA1FF"}]']}}

execute if score #lvl5_intro gen_raycast matches 216 as @a at @s run title @s title [{"text":"Level 5:","bold":true,"color":"#692387"}]
execute if score #lvl5_intro gen_raycast matches 312 as @a at @s run title @s subtitle [{"text":"A Reality Somewhere...","color":"#CDA1FF"}]
execute if score #lvl5_intro gen_raycast matches 611 as @a at @s run title @s times 1s 2.5s 1s
execute if score #lvl5_intro gen_raycast matches 611 as @a at @s run title @s title [{"text":" ","color":"#A4A2A6"}]
execute if score #lvl5_intro gen_raycast matches 611 as @a at @s run title @s subtitle [{"text":"\"The end of the road...\"","color":"#A4A2A6"}]

execute if score #lvl5_intro gen_raycast matches 110 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:127}
execute if score #lvl5_intro gen_raycast matches 120 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {text_opacity:128}
execute if score #lvl5_intro gen_raycast matches 121 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:255}
execute if score #lvl5_intro gen_raycast matches 135 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:128}
execute if score #lvl5_intro gen_raycast matches 145 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {text_opacity:127}
execute if score #lvl5_intro gen_raycast matches 146 as @e[tag=lvl5_intro_text] at @s run data merge entity @s {start_interpolation:0,interpolation_duration:10,text_opacity:10}
execute if score #lvl5_intro gen_raycast matches 611 as @e[tag=lvl5_floofox,limit=1] at @s run tp @s 53.5 92.0 -611.7

schedule function secretrooms3:levels/lvl5/lvl5_intro 1t